# starship
# _evalcache starship init zsh --print-full-init

# ohmyposh
potentialTheme=('atomic.omp.json' 'emodipt-extend.omp.json' 'kali.omp.json' 'lambda.omp.json' 'nordtron.omp.json' 'pure.omp.json' 'uew.omp.json')
export POSH_THEME="/usr/share/oh-my-posh/themes/$potentialTheme[$RANDOM%$#potentialTheme+1]"
eval "$(ohmyposh init zsh)"

# evalstuff
_evalcache zoxide init --cmd cd zsh
_evalcache atuin init zsh
_evalcache navi widget zsh
_evalcache direnv hook zsh
eval "$(keychain --dir "$XDG_CACHE_HOME"/keychain --eval --quiet id_rsa)"
